let hiruToYoruFlame = 0;
const NMapEffectPath = "pictures/_NupuMapEffect/";
Game_Interpreter.prototype._昼to夜演出Start = function () {
    hiruToYoruFlame = 0;
    this.SetPictFIn(PN_TimeCngTop, NMapEffectPath + "PN_TimeCngTop", 0, 0, 0, 0, 1);
    this.SetPictFIn(PN_TimeCngBase, NMapEffectPath + "PN_TimeCngBase", 0, 0, 0, 0, 10);
}
Game_Interpreter.prototype._昼to夜演出Update = function () {
    hiruToYoruFlame++;
    if (hiruToYoruFlame == 20) {
        this.PlaySe("Clock");
        EasingStr = "easeOutElastic";
        this.MovePict(PN_TimeCngBase, -355, 0, 60);
        EasingStr = "";
    }
    if (hiruToYoruFlame == 110) this.MovePict(PN_TimeCngBase, -355, 0, 10, 0);
    if (hiruToYoruFlame == 120) {
        this.MovePict(PN_TimeCngTop, 0, 0, 10, 0);
        return false;
    }
    return true;
}
let _曜日変更ViewText = "";
let _曜日変更CngText = "";
Game_Interpreter.prototype._曜日変更Start = function () {
    hiruToYoruFlame = 0;
    this.MapYoubiSet(); 
    this.SetPictFIn(PN_TimeCngTop, NMapEffectPath + "PN_TimeCngTop", 0, 0, 0, 0, 1);
    this.SetPictFIn(PN_TimeCngBase, NMapEffectPath + "PN_YobiCng" + YoubiStr, 0, 0, 0, 0, 10);
    switch (YoubiStr) {
        case "1": _曜日変更ViewText = "\\c[25]ガイア"; _曜日変更CngText = "\\c[29]ミスト";
            break;
        case "2": _曜日変更ViewText = "\\c[29]ミスト"; _曜日変更CngText = "\\c[10]フラム";
            break;
        case "3": _曜日変更ViewText = "\\c[10]フラム"; _曜日変更CngText = "\\c[23]アクア";
            break;
        case "4": _曜日変更ViewText = "\\c[23]アクア"; _曜日変更CngText = "\\c[25]ガイア";
            break;
    }
    _曜日変更ViewText += "の日"; _曜日変更CngText += "の日";
    this.SetPicStrC(PN_TimeCngTxt , _曜日変更ViewText , 50 , 708 , 640 , 0);
    this.MovePict(PN_TimeCngTxt , true , true , 10 , 255);
}
let yoruToHiruCngFlame = 40;
const VN_5話進行度 = 58;
Game_Interpreter.prototype._曜日変更Update = function () {
    hiruToYoruFlame++;
    if (hiruToYoruFlame == yoruToHiruCngFlame) {
        this.PlaySe("Clock");
        EasingStr = "easeOutElastic";
        this.MovePict(PN_TimeCngBase, -355, 0, 60);
        this.SetPicStrC(PN_TimeCngTxt , _曜日変更CngText , 50 , 708 , 640 , 0);
        if ($gameVariables.value(VN_5話進行度) >= 1 && $gameSwitches.value(SW_Youbi_Tuti)) {
            this.SetPicStrC(PN_TimeCngTxt , _曜日変更CngText , 50 , 708 , 640 + 50 , 0);
            this.SetPictFInC( PN_TimeCngReleaseDay , NMapEffectPath + "PN_TimeCngReleaseDay" ,
                1440 / 2 , 810 / 2 , 0 , 0 , 10);
        }
        this.MovePict(PN_TimeCngTxt , true , true , 60 , 255);
        EasingStr = "";
    }
    if (hiruToYoruFlame == yoruToHiruCngFlame + 90) {
        this.MovePict(PN_TimeCngBase, -355, 0, 10, 0);
        this.MovePict(PN_TimeCngTxt , true , true , 10 , 0);
        this.MovePict(PN_TimeCngReleaseDay , true , true , 10 , 0);
    }
    if (hiruToYoruFlame == yoruToHiruCngFlame + 100) {
        this.MovePict(PN_TimeCngTop, 0, 0, 10, 0);
        return false;
    }
    return true;
}
let syoTitleFlame = 0;
Game_Interpreter.prototype._章切り替えStart = function (text1, text2) {
    syoTitleFlame = 0;
    this.SetPictFIn(PN_TimeCngBase, "Black", 0, 0, 0, 0, 30);
    this.SetPicStrC(PN_TimeCngBase + 1, text1, 35, 720, 340, 0);
    this.SetPicStrC(PN_TimeCngBase + 2, text2, 50, 720, 420, 0);
}
Game_Interpreter.prototype._章切り替えUpdate = function () {
    syoTitleFlame++;
    if (syoTitleFlame == 60) {
        this.PlayPtcPic("SyoTitle", 720, 400);
        this.MovePict(PN_TimeCngBase + 1, true, true, 10, 255);
        this.MovePict(PN_TimeCngBase + 2, true, true, 10, 255);
    }
    if (syoTitleFlame > 120) {
        return false;
    }
    return true;
}
Game_Interpreter.prototype._章切り替えEnd = function () {
    this.MovePict(PN_TimeCngBase, true, true, 30, 0);
    this.MovePict(PN_TimeCngBase + 1, true, true, 30, 0);
    this.MovePict(PN_TimeCngBase + 2, true, true, 30, 0);
}
